Packages - Packaging Request #1700

Mastodon
2018-04-12 06:54 AM - ani

Status: fixed % Done: 0%
Priority: wish

Assignee: bill-auger

Category:

Description

Please package a program to communicate with Mastodon.

https://github.com/tootsuite/documentation/blob/master/Using-Mastodon/Apps.md#linux

Related issues:
Related to Packages - Packaging Request #1889: [madonctl] Add to PCR open

History

#1 - 2018-04-21 04:41 AM - ani

Is this ongoing?

#2 - 2018-04-24 01:09 PM - freemor

I've been looking at that various options and It seems that all the desktop GUIs that | can find rely on Electron which leaves just a couple of CLI
options or the Bitlbee-mastoson plugin. Would the OP find such useful?

#3 - 2018-04-24 03:59 PM - ani

I would find CLI useful. GUI is fine but not a requirement from my side.

#4 - 2018-04-24 04:01 PM - brainblasted

What are the basic functions you need? Right now my client can view and send toots from the CLI.

#5 - 2018-04-24 04:15 PM - ani

Functions like sending messages to my stream and to individual accounts. | want to be able to view my stream, subscribe to others easily and with
few steps. | would also like to personalize my program without the need of coding in a stern language. If it requires little power and is standalone that
is a plus. Attachments on toots are a bonus.

#6 - 2018-06-04 08:05 PM - ovruni

- Priority changed from bug to wish

#7 - 2019-05-08 11:17 PM - bill-auger

i looked into this a bit today - it looks like toot and tootle are the most mature, well-maintained, and full-featured

#8 - 2019-05-31 05:57 PM - bill-auger
- Related to Packaging Request #1889: [madonctl] Add to PCR added

#9 - 2019-10-22 02:57 AM - anarcobuda

Of the clients listed in the official mastodon website https:/joinmastodon.org/apps
there are two, Whalebird and Hyperspace, based on Electron wrapper, and it's a problem that has been addressed in the Chromium platform issue.

Tootle, according to the GitHub page, is a GTK3 client
https://github.com/bleakgrey/tootle
and it lists the following dependencies:

® meson
valac
libgtk-3-dev
libsoup2.4-dev
libgranite-dev
libjson-glib-dev
Of those, is there any dependency that conflicts with users freedoms?

#10 - 2019-10-22 03:49 AM - bill-auger

i have had both toot and tootle installed since this issue was opened - i dont use them often; but i have had no problems using them

the deps are all in parabola; but i have not audited the code yet - i will publish the PKGBUILDs though, to get things moving - i suspect that these are
both perfectly acceptable programs

#11 - 2019-10-22 06:17 PM - bill-auger

- Assignee set to bill-auger

there are no apparent licensing problems with either of 'toot' and 'tootle’ - the licensing of the images for 'tootle' was not clear though so i replaced
them

#12 - 2019-10-22 06:17 PM - bill-auger

- Status changed from open to fixed
